## org.eclipse.uml2.common.util
Class DerivedSubsetEObjectEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList<E>
                  org.eclipse.uml2.common.util.DerivedEObjectEList<E>
                      org.eclipse.uml2.common.util.DerivedSubsetEObjectEList<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, org.eclipse.emf.common.util.EList<E>, org.eclipse.emf.ecore.EStructuralFeature.Setting, org.eclipse.emf.ecore.util.InternalEList<E>, org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>

    public class DerivedSubsetEObjectEList<E>

extends DerivedEObjectEList<E>

A modifiable derived list whose values are obtained from a single multivalued source feature. This list is ideal for implementing derived subset features.

Since:
  1.2

Nested Class Summary
`protected class` `DerivedSubsetEObjectEList.DerivedSubsetListIterator`
`protected class` `DerivedSubsetEObjectEList.EmptyDerivedSubsetListIterator`
`protected class` `DerivedSubsetEObjectEList.ResolvingDerivedSubsetListIterator`

Nested classes/interfaces inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList
`DerivedEObjectEList.DerivedListIterator, DerivedEObjectEList.EmptyDerivedListIterator, DerivedEObjectEList.ResolvingDerivedListIterator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>`

Field Summary

Fields inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList
`dataClass, featureID, owner, sourceFeatureIDs`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DerivedSubsetEObjectEList(java.lang.Class<?> dataClass, org.eclipse.emf.ecore.InternalEObject owner, int featureID, int sourceFeatureID)`
`DerivedSubsetEObjectEList(java.lang.Class<?> dataClass, org.eclipse.emf.ecore.InternalEObject owner, int featureID, int[] sourceFeatureIDs)`

Method Summary
`java.util.List<E>` `basicList()`
`protected boolean` `isNotificationRequired()`
`protected java.util.ListIterator<E>` `newEmptyListIterator()`
`protected java.util.ListIterator<E>` `newListIterator()`
`protected java.util.ListIterator<E>` `newResolvingListIterator()`

Methods inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList

`add, addAll, addAllUnique, addUnique, addUnique, basicAdd, basicGet, basicIterator, basicListIterator, basicListIterator, basicRemove, contains, createNotification, derive, dispatchNotification, doAddAllUnique, get, getEObject, getEStructuralFeature, getEStructuralFeature, isEmpty, isIncluded, isIncluded, isSet, listIterator, listIterator, move, move, remove, set, set, setUnique, size, unset, validate`

Methods inherited from class java.util.AbstractSequentialList
`get, iterator`

Methods inherited from class java.util.AbstractList
`add, clear, equals, hashCode, indexOf, lastIndexOf, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, containsAll, equals, get, hashCode, indexOf, iterator, lastIndexOf, listIterator, remove, removeAll, retainAll, subList, toArray, toArray`

Constructor Detail

### DerivedSubsetEObjectEList

    public DerivedSubsetEObjectEList(java.lang.Class<?> dataClass,
                                     org.eclipse.emf.ecore.InternalEObject owner,
                                     int featureID,
                                     int[] sourceFeatureIDs)

### DerivedSubsetEObjectEList

    public DerivedSubsetEObjectEList(java.lang.Class<?> dataClass,
                                     org.eclipse.emf.ecore.InternalEObject owner,
                                     int featureID,
                                     int sourceFeatureID)

Method Detail

### basicList

    public java.util.List<E> basicList()

  Specified by:
    `basicList` in interface `org.eclipse.emf.ecore.util.InternalEList<E>`
  Overrides:
    `basicList` in class `DerivedEObjectEList<E>`

### newListIterator

    protected java.util.ListIterator<E> newListIterator()

  Overrides:
    `newListIterator` in class `DerivedEObjectEList<E>`

### newResolvingListIterator

    protected java.util.ListIterator<E> newResolvingListIterator()

  Overrides:
    `newResolvingListIterator` in class `DerivedEObjectEList<E>`

### newEmptyListIterator

    protected java.util.ListIterator<E> newEmptyListIterator()

  Overrides:
    `newEmptyListIterator` in class `DerivedEObjectEList<E>`

### isNotificationRequired

    protected boolean isNotificationRequired()

  Overrides:
    `isNotificationRequired` in class `DerivedEObjectEList<E>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.